path: /build/build/dtc-sys-apps-1.7.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="yaml" emerge sys-apps/dtc -pv -t && \
    USE="yaml" emerge -j ${JOBS} --nodeps sys-apps/dtc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/dtc && luet-portage --dir /pkgdir/dtc
    sys-apps/dtc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: dtc
    version: 1.7.0
    category: sys-apps
    use_flags:
    - yaml
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Open Firmware device tree compiler
    uri:
    - https://devicetree.org/ https://git.kernel.org/cgit/utils/dtc/dtc.git/
    license: GPL-2
    buildtimestamp: 2023-09-16 15:42:36.053013963 +0000 UTC m=+80.902814869
    labels:
      BDEPEND: sys-devel/bison sys-devel/flex virtual/pkgconfig
      DEPEND: yaml? ( dev-libs/libyaml )
      IUSE: static-libs yaml
      RDEPEND: yaml? ( dev-libs/libyaml )
      emerge.packages: sys-apps/dtc
      kit: core-hw-kit
      original.package.name: sys-apps/dtc
      original.package.slot: "0"
      original.package.version: 1.7.0
    treedir: /build/packages
  package_dir: /pkgdir/dtc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 3702534bae2950e3ea329d7d2decef1be2075d69964977d1974a324f602fe41d
compressiontype: zstd
files:
- usr/bin/convert-dtsv0
- usr/bin/dtc
- usr/bin/dtdiff
- usr/bin/fdtdump
- usr/bin/fdtget
- usr/bin/fdtoverlay
- usr/bin/fdtput
- usr/include/fdt.h
- usr/include/libfdt.h
- usr/include/libfdt_env.h
- usr/lib64/libfdt-1.7.0.so
- usr/lib64/libfdt.so
- usr/lib64/libfdt.so.1
- var/db/pkg/sys-apps/dtc-1.7.0/BDEPEND
- var/db/pkg/sys-apps/dtc-1.7.0/BUILD_TIME
- var/db/pkg/sys-apps/dtc-1.7.0/CATEGORY
- var/db/pkg/sys-apps/dtc-1.7.0/CBUILD
- var/db/pkg/sys-apps/dtc-1.7.0/CC
- var/db/pkg/sys-apps/dtc-1.7.0/CFLAGS
- var/db/pkg/sys-apps/dtc-1.7.0/CHOST
- var/db/pkg/sys-apps/dtc-1.7.0/CONTENTS
- var/db/pkg/sys-apps/dtc-1.7.0/COUNTER
- var/db/pkg/sys-apps/dtc-1.7.0/CXXFLAGS
- var/db/pkg/sys-apps/dtc-1.7.0/DEFINED_PHASES
- var/db/pkg/sys-apps/dtc-1.7.0/DEPEND
- var/db/pkg/sys-apps/dtc-1.7.0/DESCRIPTION
- var/db/pkg/sys-apps/dtc-1.7.0/EAPI
- var/db/pkg/sys-apps/dtc-1.7.0/FEATURES
- var/db/pkg/sys-apps/dtc-1.7.0/HOMEPAGE
- var/db/pkg/sys-apps/dtc-1.7.0/INHERITED
- var/db/pkg/sys-apps/dtc-1.7.0/IUSE
- var/db/pkg/sys-apps/dtc-1.7.0/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/dtc-1.7.0/KEYWORDS
- var/db/pkg/sys-apps/dtc-1.7.0/LDFLAGS
- var/db/pkg/sys-apps/dtc-1.7.0/LICENSE
- var/db/pkg/sys-apps/dtc-1.7.0/NEEDED
- var/db/pkg/sys-apps/dtc-1.7.0/PF
- var/db/pkg/sys-apps/dtc-1.7.0/PROVIDES
- var/db/pkg/sys-apps/dtc-1.7.0/RDEPEND
- var/db/pkg/sys-apps/dtc-1.7.0/REQUIRES
- var/db/pkg/sys-apps/dtc-1.7.0/SIZE
- var/db/pkg/sys-apps/dtc-1.7.0/SLOT
- var/db/pkg/sys-apps/dtc-1.7.0/USE
- var/db/pkg/sys-apps/dtc-1.7.0/dtc-1.7.0.ebuild
- var/db/pkg/sys-apps/dtc-1.7.0/environment.bz2
- var/db/pkg/sys-apps/dtc-1.7.0/repository
package_cacheimage: ""
runtime:
  name: dtc
  version: 1.7.0
  category: sys-apps
  use_flags:
  - yaml
  requires:
  - name: libyaml
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Open Firmware device tree compiler
  uri:
  - https://devicetree.org/ https://git.kernel.org/cgit/utils/dtc/dtc.git/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/bison sys-devel/flex virtual/pkgconfig
    DEPEND: yaml? ( dev-libs/libyaml )
    IUSE: static-libs yaml
    RDEPEND: yaml? ( dev-libs/libyaml )
    emerge.packages: sys-apps/dtc
    kit: core-hw-kit
    original.package.name: sys-apps/dtc
    original.package.slot: "0"
    original.package.version: 1.7.0
